# Uses of Enum Class
org.eclipse.net4j.buffer.BufferState

Packages that use BufferState
Package
Description
org.eclipse.net4j.buffer
The Net4j transport layer concepts for dealing with buffers.

## Uses of BufferState in org.eclipse.net4j.buffer

Methods in org.eclipse.net4j.buffer that return BufferState
Modifier and Type
Method
Description
`BufferState`
IBuffer.`getState()`
Returns the internal state of this buffer.
`static BufferState`
BufferState.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BufferState[]`
BufferState.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.